### Constructor

# FwupdPlugin UsbBosDescriptor new

since: 2.0.0

#### Declaration [src]

    FuUsbBosDescriptor*
    fu_usb_bos_descriptor_new (
      const libusb_bos_dev_capability_descriptor* bos_cap
    )

#### Description

No description available.

Available since: 2.0.0

#### Parameters

`bos_cap`

  Type: `const libusb_bos_dev_capability_descriptor*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `FuUsbBosDescriptor`

A new `FuUsbBosDescriptor` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.